External BaseStation Status Change​
GET
/devices/{id}/updateRtkBaseStatus
Authorizations​
ApiKeyAuth
API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.
Type
API Key (header: Authorization)
Example
"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."Parameters​
Path Parameters
id*
device id
Type
Requirednumber
Format
"integer"Query Parameters
online*
If the external base is online. If true, the other parameters are required
Type
Requiredboolean
lat
Latitude of the external base
Type
number
Format
""lng
Longitude of the external base
Type
number
Format
""alt
Altitude of the external base
Type
number
Format
""GET
/devices/{id}/updateRtkBaseStatus
Request example
Responses​
Body (JSON)
application/json
JSON"deviceId": 0,"type": "string","group": 0,"connected": "string","surveyCompleted": "string","location": {"lat": 0,"lng": 0},"accuracy": 0,"status": "string","fixedPositionLat": 0,"fixedPositionLng": 0,"fixedPositionAlt": 0,"surveyTime": 0,"surveyMinAcc": 0,"surveyRequested": true,"valid": true
{
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
}
Try this endpoint
Playground​
Authorization
Variables
Key
Value
OpenAPI definition ​
References are expanded below, except recursive definitions and references with sibling fields. Documentation overrides are included. Full original OpenAPI spec (JSON).
View endpoint OpenAPI definition
yaml
openapi: 3.1.0
info:
version: 1.1.0
title: TrackingAPI
description: V1 API for retrieving tracking data and changing settings on Lightbug devices
servers:
- url: https://api.lightbug.cloud/api
externalDocs: {}
security:
- ApiKeyAuth: []
tags: []
paths:
/devices/{id}/updateRtkBaseStatus:
get:
tags:
- rtk
summary: External BaseStation Status Change
parameters:
- name: id
in: path
description: device id
required: true
schema:
type: number
format: integer
- name: online
in: query
description: If the external base is online. If true, the other parameters are required
required: true
schema:
type: boolean
- name: lat
in: query
description: Latitude of the external base
required: false
schema:
type: number
format: ''
- name: lng
in: query
description: Longitude of the external base
required: false
schema:
type: number
format: ''
- name: alt
in: query
description: Altitude of the external base
required: false
schema:
type: number
format: ''
responses:'200':
yaml
description: Body (JSON)
content:
application/json:
schema:
properties:
deviceId:
type: number
format: ''
type:
description: ENUM('primary', 'secondary')
type: string
group:
type: number
format: ''
connected:
description: Last open msg receive time from rtk base (not same as last message, use log for this)
type: string
format: date-time
surveyCompleted:
description: TBC
type: string
format: date-time
location:
properties:
lat:
type: number
lng:
type: number
type: object
accuracy:
type: number
format: ''
status:
description: ENUM('offline', 'initializing', 'no_signal', 'online_fixed', 'online_surveyed', 'surveying')
type: string
fixedPositionLat:
type: number
format: ''
fixedPositionLng:
type: number
format: ''
fixedPositionAlt:
type: number
format: ''
surveyTime:
type: number
format: ''
surveyMinAcc:
type: number
format: ''
surveyRequested:
type: boolean
valid:
type: boolean
required:
- deviceId
type: objectyaml
deprecated: false
security:
- ApiKeyAuth: []
operationId: get-devices-id-updateRtkBaseStatus
components:
securitySchemes:
ApiKeyAuth:
in: header
name: Authorization
type: apiKey
description: API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See <a href='/apis/authentication'>Authentication</a> for more details.
example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...